/*
 * irreco - Ir Remote Control
 * Copyright (C) 2008 Joni Kokko (t5kojo01@students.oamk.fi)
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

#include "irreco_theme_bg.h"

/*
 * Contains information of background
 */
 
/*=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-*/
/* Prototypes                                                                 */
/*=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-*/

/*=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-*/
/* Construction & Destruction                                                 */
/*=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-*/
IrrecoThemeBg *irreco_theme_bg_new()
{
	IrrecoThemeBg *self;
	IRRECO_ENTER
	
	self = g_slice_new0(IrrecoThemeBg);
	
	self->name = g_string_new("");
	self->image = g_string_new("");
	self->folder_name = g_string_new("");

	IRRECO_RETURN_PTR(self);
}

void irreco_theme_bg_free(IrrecoThemeBg *self)
{
	IRRECO_ENTER
			
	g_assert(self != NULL);
	
	g_string_free(self->name, TRUE);
	self->name = NULL;
	
	g_string_free(self->image, TRUE);
	self->image = NULL;
	
	g_string_free(self->folder_name, TRUE);
	self->folder_name = NULL;
	
	g_slice_free(IrrecoThemeBg, self);
	self = NULL;

	IRRECO_RETURN
}

/*=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-*/
/* Private Functions                                                          */
/*=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-*/

/*=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-*/
/* Functions                                                                  */
/*=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-*/

void irreco_theme_bg_set(IrrecoThemeBg *self,
			 const char *name,
			 const char *image,
			 const char *folder_name);
{
	IRRECO_ENTER
	
	g_string_printf(self->name, "%s", name);
	g_string_printf(self->image, "%s", image);
	g_string_printf(self->folder_name, "%s", folder_name);
	
	IRRECO_RETURN
}

void irreco_theme_bg_print(IrrecoThemeBg *self)
{
	IRRECO_ENTER

	IRRECO_PRINTF("Theme: %s %s %s \n",
		      self->name->str,
		      self->image->str,
		      self->folder_name->str);

	IRRECO_RETURN
}
/*=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-*/
/* Events and Callbacks                                                       */
/*=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-*/

